Index: /LMDZ5/trunk/libf/cosp/phys_cosp.F90
===================================================================
--- /LMDZ5/trunk/libf/cosp/phys_cosp.F90	(revision 1538)
+++ /LMDZ5/trunk/libf/cosp/phys_cosp.F90	(revision 1539)
@@ -148,4 +148,5 @@
   integer                         :: itap,k,ip
   real                            :: dtime,freq_cosp
+  logical, parameter              :: lCOSP=.FALSE.
 
 !
Index: /LMDZ5/trunk/libf/cosp/write_histdayCOSP.h
===================================================================
--- /LMDZ5/trunk/libf/cosp/write_histdayCOSP.h	(revision 1538)
+++ /LMDZ5/trunk/libf/cosp/write_histdayCOSP.h	(revision 1539)
@@ -10,33 +10,42 @@
        if (cfg%Llidar_sim) then
          if (cfg%Lcllcalipso) then
-          CALL histwrite_phy(nid_day_cosp,"cllcalipso",itau_wcosp,stlidar%cldlayer(:,1))
+          CALL histwrite_phy(nid_day_cosp,lCOSP,"cllcalipso", &
+     itau_wcosp,stlidar%cldlayer(:,1))
          endif
          if (cfg%Lclhcalipso) then
-          CALL histwrite_phy(nid_day_cosp,"clhcalipso",itau_wcosp,stlidar%cldlayer(:,3))
+          CALL histwrite_phy(nid_day_cosp,lCOSP,"clhcalipso", &
+     itau_wcosp,stlidar%cldlayer(:,3))
          endif
          if (cfg%Lclmcalipso) then
-          CALL histwrite_phy(nid_day_cosp,"clmcalipso",itau_wcosp,stlidar%cldlayer(:,2))
+          CALL histwrite_phy(nid_day_cosp,lCOSP,"clmcalipso", &
+     itau_wcosp,stlidar%cldlayer(:,2))
          endif
          if (cfg%Lcltcalipso) then
-          CALL histwrite_phy(nid_day_cosp,"cltcalipso",itau_wcosp,stlidar%cldlayer(:,4)) 
+          CALL histwrite_phy(nid_day_cosp,lCOSP,"cltcalipso", &
+     itau_wcosp,stlidar%cldlayer(:,4)) 
          endif
          if (cfg%Lclcalipso) then
-          CALL histwrite_phy(nid_day_cosp,"clcalipso",itau_wcosp,stlidar%lidarcld)
+          CALL histwrite_phy(nid_day_cosp,lCOSP,"clcalipso", &
+     itau_wcosp,stlidar%lidarcld)
          endif
          if (cfg%Lcfad_lidarsr532) then
            do ii=1,SR_BINS
-            CALL histwrite_phy(nid_day_cosp,"cfad_lidarsr532_"//chcol(ii),itau_wcosp,stlidar%cfad_sr(:,ii,:))
+            CALL histwrite_phy(nid_day_cosp,lCOSP, &
+     "cfad_lidarsr532_"//chcol(ii),itau_wcosp,stlidar%cfad_sr(:,ii,:))
            enddo
          endif
          if (cfg%Lparasol_refl) then
-           CALL histwrite_phy(nid_day_cosp,"parasol_refl",itau_wcosp,stlidar%parasolrefl)
+           CALL histwrite_phy(nid_day_cosp,lCOSP,"parasol_refl", &
+     itau_wcosp,stlidar%parasolrefl)
          endif
          if (cfg%Latb532) then
            do ii=1,Ncolumns
-            CALL histwrite_phy(nid_day_cosp,"atb532_"//chcol(ii),itau_wcosp,sglidar%beta_tot(:,ii,:))
+            CALL histwrite_phy(nid_day_cosp,lCOSP,"atb532_"//chcol(ii), &
+     itau_wcosp,sglidar%beta_tot(:,ii,:))
            enddo
          endif
          if (cfg%Lbeta_mol532) then
-           CALL histwrite_phy(nid_day_cosp,"beta_mol532",itau_wcosp,sglidar%beta_mol)
+           CALL histwrite_phy(nid_day_cosp,lCOSP,"beta_mol532", &
+     itau_wcosp,sglidar%beta_mol)
          endif
         endif ! Lidar
@@ -84,30 +93,39 @@
           if (cfg%Lclisccp2) then
             do ii=1,7
-              CALL histwrite_phy(nid_day_cosp,"clisccp2_"//chcol(ii),itau_wcosp,isccp%fq_isccp(:,ii,:))
+              CALL histwrite_phy(nid_day_cosp,lCOSP, &
+     "clisccp2_"//chcol(ii),itau_wcosp,isccp%fq_isccp(:,ii,:))
             enddo
           endif
           if (cfg%Lboxtauisccp) then
-             CALL histwrite_phy(nid_day_cosp,"boxtauisccp",itau_wcosp,isccp%boxtau)
+             CALL histwrite_phy(nid_day_cosp,lCOSP,"boxtauisccp", &
+     itau_wcosp,isccp%boxtau)
           endif
           if (cfg%Lboxptopisccp) then
-             CALL histwrite_phy(nid_day_cosp,"boxptopisccp",itau_wcosp,isccp%boxptop)
+             CALL histwrite_phy(nid_day_cosp,lCOSP,"boxptopisccp", &
+     itau_wcosp,isccp%boxptop)
           endif
           if (cfg%Ltclisccp) then
-             CALL histwrite_phy(nid_day_cosp,"tclisccp",itau_wcosp,isccp%totalcldarea)
+             CALL histwrite_phy(nid_day_cosp,lCOSP,"tclisccp", &
+     itau_wcosp,isccp%totalcldarea)
           endif
           if (cfg%Lctpisccp) then
-             CALL histwrite_phy(nid_day_cosp,"ctpisccp",itau_wcosp,isccp%meanptop)
+             CALL histwrite_phy(nid_day_cosp,lCOSP,"ctpisccp", &
+     itau_wcosp,isccp%meanptop)
           endif
           if (cfg%Ltauisccp) then
-             CALL histwrite_phy(nid_day_cosp,"tauisccp",itau_wcosp,isccp%meantaucld)
+             CALL histwrite_phy(nid_day_cosp,lCOSP,"tauisccp", &
+     itau_wcosp,isccp%meantaucld)
           endif
           if (cfg%Lalbisccp) then
-             CALL histwrite_phy(nid_day_cosp,"albisccp",itau_wcosp,isccp%meanalbedocld)
+             CALL histwrite_phy(nid_day_cosp,lCOSP,"albisccp", &
+     itau_wcosp,isccp%meanalbedocld)
           endif
           if (cfg%Lmeantbisccp) then
-             CALL histwrite_phy(nid_day_cosp,"meantbisccp",itau_wcosp,isccp%meantb)
+             CALL histwrite_phy(nid_day_cosp,lCOSP,"meantbisccp", &
+     itau_wcosp,isccp%meantb)
           endif
           if (cfg%Lmeantbclrisccp) then
-             CALL histwrite_phy(nid_day_cosp,"meantbclrisccp",itau_wcosp,isccp%meantbclr)
+             CALL histwrite_phy(nid_day_cosp,lCOSP,"meantbclrisccp", &
+     itau_wcosp,isccp%meantbclr)
           endif
         endif ! Isccp
Index: /LMDZ5/trunk/libf/cosp/write_histhfCOSP.h
===================================================================
--- /LMDZ5/trunk/libf/cosp/write_histhfCOSP.h	(revision 1538)
+++ /LMDZ5/trunk/libf/cosp/write_histhfCOSP.h	(revision 1539)
@@ -10,33 +10,42 @@
        if (cfg%Llidar_sim) then
          if (cfg%Lcllcalipso) then
-          CALL histwrite_phy(nid_hf_cosp,"cllcalipso",itau_wcosp,stlidar%cldlayer(:,1))
+          CALL histwrite_phy(nid_hf_cosp,lCOSP,"cllcalipso", &
+     itau_wcosp,stlidar%cldlayer(:,1))
          endif
          if (cfg%Lclhcalipso) then
-          CALL histwrite_phy(nid_hf_cosp,"clhcalipso",itau_wcosp,stlidar%cldlayer(:,3))
+          CALL histwrite_phy(nid_hf_cosp,lCOSP,"clhcalipso", &
+     itau_wcosp,stlidar%cldlayer(:,3))
          endif
          if (cfg%Lclmcalipso) then
-          CALL histwrite_phy(nid_hf_cosp,"clmcalipso",itau_wcosp,stlidar%cldlayer(:,2))
+          CALL histwrite_phy(nid_hf_cosp,lCOSP,"clmcalipso", &
+     itau_wcosp,stlidar%cldlayer(:,2))
          endif
          if (cfg%Lcltcalipso) then
-          CALL histwrite_phy(nid_hf_cosp,"cltcalipso",itau_wcosp,stlidar%cldlayer(:,4)) 
+          CALL histwrite_phy(nid_hf_cosp,lCOSP,"cltcalipso", &
+     itau_wcosp,stlidar%cldlayer(:,4)) 
          endif
          if (cfg%Lclcalipso) then
-          CALL histwrite_phy(nid_hf_cosp,"clcalipso",itau_wcosp,stlidar%lidarcld)
+          CALL histwrite_phy(nid_hf_cosp,lCOSP,"clcalipso", &
+     itau_wcosp,stlidar%lidarcld)
          endif
          if (cfg%Lcfad_lidarsr532) then
            do ii=1,SR_BINS
-            CALL histwrite_phy(nid_hf_cosp,"cfad_lidarsr532_"//chcol(ii),itau_wcosp,stlidar%cfad_sr(:,ii,:))
+            CALL histwrite_phy(nid_hf_cosp,lCOSP, &
+     "cfad_lidarsr532_"//chcol(ii),itau_wcosp,stlidar%cfad_sr(:,ii,:))
            enddo
          endif
          if (cfg%Lparasol_refl) then
-           CALL histwrite_phy(nid_hf_cosp,"parasol_refl",itau_wcosp,stlidar%parasolrefl)
+           CALL histwrite_phy(nid_hf_cosp,lCOSP,"parasol_refl", &
+     itau_wcosp,stlidar%parasolrefl)
          endif
          if (cfg%Latb532) then
            do ii=1,Ncolumns
-            CALL histwrite_phy(nid_hf_cosp,"atb532_"//chcol(ii),itau_wcosp,sglidar%beta_tot(:,ii,:))
+            CALL histwrite_phy(nid_hf_cosp,lCOSP,"atb532_"//chcol(ii), &
+     itau_wcosp,sglidar%beta_tot(:,ii,:))
            enddo
          endif
          if (cfg%Lbeta_mol532) then
-           CALL histwrite_phy(nid_hf_cosp,"beta_mol532",itau_wcosp,sglidar%beta_mol)
+           CALL histwrite_phy(nid_hf_cosp,lCOSP,"beta_mol532", &
+     itau_wcosp,sglidar%beta_mol)
          endif
         endif ! Lidar
@@ -84,31 +93,40 @@
           if (cfg%Lclisccp2) then
             do ii=1,7
-              CALL histwrite_phy(nid_hf_cosp,"clisccp2_"//chcol(ii),itau_wcosp,isccp%fq_isccp(:,ii,:))
+              CALL histwrite_phy(nid_hf_cosp,lCOSP, &
+     "clisccp2_"//chcol(ii),itau_wcosp,isccp%fq_isccp(:,ii,:))
             enddo
           endif
           if (cfg%Lboxtauisccp) then
-             CALL histwrite_phy(nid_hf_cosp,"boxtauisccp",itau_wcosp,isccp%boxtau)
+             CALL histwrite_phy(nid_hf_cosp,lCOSP,"boxtauisccp", &
+     itau_wcosp,isccp%boxtau)
           endif
           if (cfg%Lboxptopisccp) then
-             CALL histwrite_phy(nid_hf_cosp,"boxptopisccp",itau_wcosp,isccp%boxptop)
+             CALL histwrite_phy(nid_hf_cosp,lCOSP,"boxptopisccp", &
+     itau_wcosp,isccp%boxptop)
           endif
           if (cfg%Ltclisccp) then
-             CALL histwrite_phy(nid_hf_cosp,"tclisccp",itau_wcosp,isccp%totalcldarea)
+             CALL histwrite_phy(nid_hf_cosp,lCOSP,"tclisccp", &
+     itau_wcosp,isccp%totalcldarea)
           endif
           if (cfg%Lctpisccp) then
-             CALL histwrite_phy(nid_hf_cosp,"ctpisccp",itau_wcosp,isccp%meanptop)
+             CALL histwrite_phy(nid_hf_cosp,lCOSP,"ctpisccp", &
+     itau_wcosp,isccp%meanptop)
 
           endif
           if (cfg%Ltauisccp) then
-             CALL histwrite_phy(nid_hf_cosp,"tauisccp",itau_wcosp,isccp%meantaucld)
+             CALL histwrite_phy(nid_hf_cosp,lCOSP,"tauisccp", &
+     itau_wcosp,isccp%meantaucld)
           endif
           if (cfg%Lalbisccp) then
-             CALL histwrite_phy(nid_hf_cosp,"albisccp",itau_wcosp,isccp%meanalbedocld)
+             CALL histwrite_phy(nid_hf_cosp,lCOSP,"albisccp", &
+     itau_wcosp,isccp%meanalbedocld)
           endif
           if (cfg%Lmeantbisccp) then
-             CALL histwrite_phy(nid_hf_cosp,"meantbisccp",itau_wcosp,isccp%meantb)
+             CALL histwrite_phy(nid_hf_cosp,lCOSP,"meantbisccp", &
+     itau_wcosp,isccp%meantb)
           endif
           if (cfg%Lmeantbclrisccp) then
-             CALL histwrite_phy(nid_hf_cosp,"meantbclrisccp",itau_wcosp,isccp%meantbclr)
+             CALL histwrite_phy(nid_hf_cosp,lCOSP,"meantbclrisccp", &
+     itau_wcosp,isccp%meantbclr)
           endif
         endif ! Isccp
Index: /LMDZ5/trunk/libf/cosp/write_histmthCOSP.h
===================================================================
--- /LMDZ5/trunk/libf/cosp/write_histmthCOSP.h	(revision 1538)
+++ /LMDZ5/trunk/libf/cosp/write_histmthCOSP.h	(revision 1539)
@@ -10,33 +10,42 @@
        if (cfg%Llidar_sim) then
          if (cfg%Lcllcalipso) then
-          CALL histwrite_phy(nid_mth_cosp,"cllcalipso",itau_wcosp,stlidar%cldlayer(:,1))
+          CALL histwrite_phy(nid_mth_cosp,lCOSP,"cllcalipso",itau_wcosp, &
+     stlidar%cldlayer(:,1))
          endif
          if (cfg%Lclhcalipso) then
-          CALL histwrite_phy(nid_mth_cosp,"clhcalipso",itau_wcosp,stlidar%cldlayer(:,3))
+          CALL histwrite_phy(nid_mth_cosp,lCOSP,"clhcalipso",itau_wcosp, &
+     stlidar%cldlayer(:,3))
          endif
          if (cfg%Lclmcalipso) then
-          CALL histwrite_phy(nid_mth_cosp,"clmcalipso",itau_wcosp,stlidar%cldlayer(:,2))
+          CALL histwrite_phy(nid_mth_cosp,lCOSP,"clmcalipso",itau_wcosp, &
+     stlidar%cldlayer(:,2))
          endif
          if (cfg%Lcltcalipso) then
-          CALL histwrite_phy(nid_mth_cosp,"cltcalipso",itau_wcosp,stlidar%cldlayer(:,4)) 
+          CALL histwrite_phy(nid_mth_cosp,lCOSP,"cltcalipso",itau_wcosp, &
+     stlidar%cldlayer(:,4)) 
          endif
          if (cfg%Lclcalipso) then
-          CALL histwrite_phy(nid_mth_cosp,"clcalipso",itau_wcosp,stlidar%lidarcld)
+          CALL histwrite_phy(nid_mth_cosp,lCOSP,"clcalipso",itau_wcosp, &
+     stlidar%lidarcld)
          endif
          if (cfg%Lcfad_lidarsr532) then
            do ii=1,SR_BINS
-            CALL histwrite_phy(nid_mth_cosp,"cfad_lidarsr532_"//chcol(ii),itau_wcosp,stlidar%cfad_sr(:,ii,:))
+            CALL histwrite_phy(nid_mth_cosp,lCOSP, &
+     "cfad_lidarsr532_"//chcol(ii),itau_wcosp,stlidar%cfad_sr(:,ii,:))
            enddo
          endif
          if (cfg%Lparasol_refl) then
-           CALL histwrite_phy(nid_mth_cosp,"parasol_refl",itau_wcosp,stlidar%parasolrefl)
+           CALL histwrite_phy(nid_mth_cosp,lCOSP,"parasol_refl", &
+     itau_wcosp,stlidar%parasolrefl)
          endif
          if (cfg%Latb532) then
            do ii=1,Ncolumns
-            CALL histwrite_phy(nid_mth_cosp,"atb532_"//chcol(ii),itau_wcosp,sglidar%beta_tot(:,ii,:))
+            CALL histwrite_phy(nid_mth_cosp,lCOSP, &
+     "atb532_"//chcol(ii),itau_wcosp,sglidar%beta_tot(:,ii,:))
            enddo
          endif
          if (cfg%Lbeta_mol532) then
-           CALL histwrite_phy(nid_mth_cosp,"beta_mol532",itau_wcosp,sglidar%beta_mol)
+           CALL histwrite_phy(nid_mth_cosp,lCOSP,"beta_mol532", &
+     itau_wcosp,sglidar%beta_mol)
          endif
         endif ! Lidar
@@ -84,30 +93,39 @@
           if (cfg%Lclisccp2) then
             do ii=1,7
-              CALL histwrite_phy(nid_mth_cosp,"clisccp2_"//chcol(ii),itau_wcosp,isccp%fq_isccp(:,ii,:))
+              CALL histwrite_phy(nid_mth_cosp,lCOSP,"clisccp2_"//chcol(ii), &
+     itau_wcosp,isccp%fq_isccp(:,ii,:))
             enddo
           endif
           if (cfg%Lboxtauisccp) then
-             CALL histwrite_phy(nid_mth_cosp,"boxtauisccp",itau_wcosp,isccp%boxtau)
+             CALL histwrite_phy(nid_mth_cosp,lCOSP,"boxtauisccp", &
+     itau_wcosp,isccp%boxtau)
           endif
           if (cfg%Lboxptopisccp) then
-             CALL histwrite_phy(nid_mth_cosp,"boxptopisccp",itau_wcosp,isccp%boxptop)
+             CALL histwrite_phy(nid_mth_cosp,lCOSP,"boxptopisccp", &
+     itau_wcosp,isccp%boxptop)
           endif
           if (cfg%Ltclisccp) then
-             CALL histwrite_phy(nid_mth_cosp,"tclisccp",itau_wcosp,isccp%totalcldarea)
+             CALL histwrite_phy(nid_mth_cosp,lCOSP,"tclisccp", &
+     itau_wcosp,isccp%totalcldarea)
           endif
           if (cfg%Lctpisccp) then
-             CALL histwrite_phy(nid_mth_cosp,"ctpisccp",itau_wcosp,isccp%meanptop)
+             CALL histwrite_phy(nid_mth_cosp,lCOSP,"ctpisccp", &
+     itau_wcosp,isccp%meanptop)
           endif
           if (cfg%Ltauisccp) then
-             CALL histwrite_phy(nid_mth_cosp,"tauisccp",itau_wcosp,isccp%meantaucld)
+             CALL histwrite_phy(nid_mth_cosp,lCOSP,"tauisccp", &
+     itau_wcosp,isccp%meantaucld)
           endif
           if (cfg%Lalbisccp) then
-             CALL histwrite_phy(nid_mth_cosp,"albisccp",itau_wcosp,isccp%meanalbedocld)
+             CALL histwrite_phy(nid_mth_cosp,lCOSP,"albisccp", &
+     itau_wcosp,isccp%meanalbedocld)
           endif
           if (cfg%Lmeantbisccp) then
-             CALL histwrite_phy(nid_mth_cosp,"meantbisccp",itau_wcosp,isccp%meantb)
+             CALL histwrite_phy(nid_mth_cosp,lCOSP,"meantbisccp", &
+     itau_wcosp,isccp%meantb)
           endif
           if (cfg%Lmeantbclrisccp) then
-             CALL histwrite_phy(nid_mth_cosp,"meantbclrisccp",itau_wcosp,isccp%meantbclr)
+             CALL histwrite_phy(nid_mth_cosp,lCOSP,"meantbclrisccp", &
+     itau_wcosp,isccp%meantbclr)
           endif
         endif ! Isccp
Index: /LMDZ5/trunk/libf/phylmd/clesphys.h
===================================================================
--- /LMDZ5/trunk/libf/phylmd/clesphys.h	(revision 1538)
+++ /LMDZ5/trunk/libf/phylmd/clesphys.h	(revision 1539)
@@ -15,5 +15,10 @@
        REAL co2_ppm, co2_ppm0, solaire
        REAL(kind=8) RCO2, RCH4, RN2O, RCFC11, RCFC12  
+       REAL(kind=8) RCO2_act, RCH4_act, RN2O_act, RCFC11_act, RCFC12_act  
        REAL(kind=8) CH4_ppb, N2O_ppb, CFC11_ppt, CFC12_ppt
+!IM ajout CFMIP2/CMIP5
+       REAL co2_ppm_per
+       REAL(kind=8) RCO2_per,RCH4_per,RN2O_per,RCFC11_per,RCFC12_per
+       REAL(kind=8) CH4_ppb_per,N2O_ppb_per,CFC11_ppt_per,CFC12_ppt_per
 
 !OM ---> correction du bilan d'eau global
@@ -49,6 +54,4 @@
        INTEGER lev_histdayNMC
        Integer lev_histins, lev_histLES  
-
-
 !IM ok_histNMC  : sortie fichiers niveaux de pression (histmthNMC, histdayNMC, histhfNMC)
 !IM freq_outNMC : frequences de sortie fichiers niveaux de pression (histmthNMC, histdayNMC, histhfNMC)
@@ -58,5 +61,4 @@
        LOGICAL ok_histNMC(3)
        REAL freq_outNMC(3) , freq_calNMC(3)
-
        CHARACTER(len=4) type_run
 ! aer_type: pour utiliser un fichier constant dans readaerosol 
@@ -76,11 +78,14 @@
        COMMON/clesphys/cycle_diurne, soil_model, new_oliq,              &
      &     ok_orodr, ok_orolf, ok_limitvrai, nbapp_rad, iflag_con       &
-     &     , co2_ppm, solaire, RCO2, RCH4, RN2O, RCFC11, RCFC12         &
+     &     , co2_ppm, solaire                                           &
+     &     , RCO2, RCH4, RN2O, RCFC11, RCFC12                           &
+     &     , RCO2_act, RCH4_act, RN2O_act, RCFC11_act, RCFC12_act       &
+     &     , RCO2_per, RCH4_per, RN2O_per, RCFC11_per, RCFC12_per       &
      &     , CH4_ppb, N2O_ppb, CFC11_ppt, CFC12_ppt                     &
+     &     , CH4_ppb_per, N2O_ppb_per, CFC11_ppt_per, CFC12_ppt_per     &
      &     , top_height, overlap, cdmmax, cdhmax, ksta, ksta_ter        &
      &     , ok_kzmin, fmagic, pmagic                                   &
      &     , f_cdrag_ter,f_cdrag_oce,f_rugoro                           &
      &     , lev_histhf, lev_histday, lev_histmth                       &
-
      &     , lev_histins, lev_histLES, lev_histdayNMC                   &
      &     , pasphys, ok_histNMC, freq_outNMC, freq_calNMC              &
Index: /LMDZ5/trunk/libf/phylmd/conf_phys.F90
===================================================================
--- /LMDZ5/trunk/libf/phylmd/conf_phys.F90	(revision 1538)
+++ /LMDZ5/trunk/libf/phylmd/conf_phys.F90	(revision 1539)
@@ -118,7 +118,11 @@
   real, save :: scut_omp, qqa1_omp, qqa2_omp, gammas_omp, Fmax_omp, alphas_omp
 
-  REAL,SAVE :: R_ecc_omp,R_peri_omp,R_incl_omp,solaire_omp,co2_ppm_omp
-  REAL,SAVE :: RCO2_omp,CH4_ppb_omp,RCH4_omp,N2O_ppb_omp,RN2O_omp,CFC11_ppt_omp
-  REAL,SAVE :: RCFC11_omp,CFC12_ppt_omp,RCFC12_omp,epmax_omp
+  REAL,SAVE :: R_ecc_omp,R_peri_omp,R_incl_omp,solaire_omp
+  REAL,SAVE :: co2_ppm_omp, RCO2_omp, co2_ppm_per_omp, RCO2_per_omp
+  REAL,SAVE :: CH4_ppb_omp, RCH4_omp, CH4_ppb_per_omp, RCH4_per_omp
+  REAL,SAVE :: N2O_ppb_omp, RN2O_omp, N2O_ppb_per_omp, RN2O_per_omp
+  REAL,SAVE :: CFC11_ppt_omp,RCFC11_omp,CFC11_ppt_per_omp,RCFC11_per_omp
+  REAL,SAVE :: CFC12_ppt_omp,RCFC12_omp,CFC12_ppt_per_omp,RCFC12_per_omp
+  REAL,SAVE :: epmax_omp
   LOGICAL,SAVE :: ok_adj_ema_omp
   INTEGER,SAVE :: iflag_clw_omp
@@ -496,5 +500,62 @@
 !OK call getin('RCFC12', RCFC12)
 
-
+!ajout CFMIP begin
+!!
+!Config Key  = co2_ppm_per
+!Config Desc = concentration du co2_ppm_per
+!Config Def  = 348.
+!Config Help = 
+!               
+  co2_ppm_per_omp = co2_ppm_omp
+  call getin('co2_ppm_per', co2_ppm_per_omp)
+!!
+!Config Key  = RCO2_per
+!Config Desc = Concentration du CO2_per
+!Config Def  = co2_ppm_per * 1.0e-06  * 44.011/28.97
+!Config Def  = 348. * 1.0e-06  * 44.011/28.97
+!Config Help = 
+!               
+  RCO2_per_omp = co2_ppm_per_omp * 1.0e-06  * 44.011/28.97
+
+!Config Key  = RCH4_per
+!Config Desc = Concentration du CH4_per
+!Config Def  = 1.65E-06* 16.043/28.97
+!Config Help = 
+!               
+  zzz = CH4_ppb_omp
+  call getin('CH4_ppb_per', zzz)
+  CH4_ppb_per_omp = zzz
+  RCH4_per_omp = CH4_ppb_per_omp * 1.0E-09 * 16.043/28.97
+!!
+!Config Key  = RN2O_per
+!Config Desc = Concentration du N2O_per
+!Config Def  = 306.E-09* 44.013/28.97
+!Config Help = 
+!               
+  zzz = N2O_ppb_omp
+  call getin('N2O_ppb_per', zzz)
+  N2O_ppb_per_omp = zzz
+  RN2O_per_omp = N2O_ppb_per_omp * 1.0E-09 * 44.013/28.97
+!!
+!Config Key  = RCFC11_per
+!Config Desc = Concentration du CFC11_per
+!Config Def  = 280.E-12* 137.3686/28.97
+!Config Help = 
+!               
+  zzz = CFC11_ppt_omp
+  call getin('CFC11_ppt_per',zzz)
+  CFC11_ppt_per_omp = zzz
+  RCFC11_per_omp=CFC11_ppt_per_omp* 1.0E-12 * 137.3686/28.97
+!!
+!Config Key  = RCFC12_per
+!Config Desc = Concentration du CFC12_per
+!Config Def  = 484.E-12* 120.9140/28.97
+!Config Help = 
+!               
+  zzz = CFC12_ppt_omp
+  call getin('CFC12_ppt_per',zzz)
+  CFC12_ppt_per_omp = zzz
+  RCFC12_per_omp = CFC12_ppt_per_omp * 1.0E-12 * 120.9140/28.97
+!ajout CFMIP end
 
 !!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
@@ -1489,5 +1550,15 @@
     CFC12_ppt = CFC12_ppt_omp
     RCFC12 = RCFC12_omp
-
+    RCO2_act = RCO2
+    RCH4_act = RCH4
+    RN2O_act = RN2O
+    RCFC11_act = RCFC11
+    RCFC12_act = RCFC12
+    RCO2_per = RCO2_per_omp
+    RCH4_per = RCH4_per_omp
+    RN2O_per = RN2O_per_omp
+    RCFC11_per = RCFC11_per_omp
+    RCFC12_per = RCFC12_per_omp
+    
     cycle_diurne = cycle_diurne_omp
     soil_model = soil_model_omp
@@ -1664,9 +1735,12 @@
   write(numout,*)' Constante solaire =',solaire
   write(numout,*)' co2_ppm =',co2_ppm
-  write(numout,*)' RCO2 = ',RCO2
-  write(numout,*)' CH4_ppb =',CH4_ppb,' RCH4 = ',RCH4
-  write(numout,*)' N2O_ppb =',N2O_ppb,' RN2O =  ',RN2O
-  write(numout,*)' CFC11_ppt=',CFC11_ppt,' RCFC11 =  ',RCFC11
-  write(numout,*)' CFC12_ppt=',CFC12_ppt,' RCFC12 =  ',RCFC12
+  write(numout,*)' RCO2_act = ',RCO2_act
+  write(numout,*)' CH4_ppb =',CH4_ppb,' RCH4_act = ',RCH4_act
+  write(numout,*)' N2O_ppb =',N2O_ppb,' RN2O_act=  ',RN2O_act
+  write(numout,*)' CFC11_ppt=',CFC11_ppt,' RCFC11_act=  ',RCFC11_act
+  write(numout,*)' CFC12_ppt=',CFC12_ppt,' RCFC12_act=  ',RCFC12_act
+  write(numout,*)' RCO2_per = ',RCO2_per,' RCH4_per = ', RCH4_per
+  write(numout,*)' RN2O_per = ',RN2O_per,' RCFC11_per = ', RCFC11_per
+  write(numout,*)' RCFC12_per = ',RCFC12_per
   write(numout,*)' cvl_corr=', cvl_corr
   write(numout,*)'ok_lic_melt=', ok_lic_melt
